﻿@model IEnumerable<eCommerce.Services.Model.Coupon>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Codigo</th>
            <th>Descripción</th>
            <th class="text-center">Texto blink</th>
            <th class="text-center">Tipo</th>
            <th class="text-center">Descuento (%)</th>
            <th class="text-center">Fecha Desde</th>
            <th class="text-center">Fecha de Vencimiento</th>
            <th class="text-center">Vigente</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Code)</td>
            <td>@Html.DisplayFor(modelItem => item.Description)</td>
            <td class="text-center">@item.Text</td>
            <td class="text-center">@(((CouponTypeEnum)item.CouponType).ToString())</td>
            <td class="text-center">@Html.DisplayFor(modelItem => item.Percentage)%</td>
            <td class="text-center">@item.FromDate.ToShortDateString()</td>
            <td class="text-center">@item.ExpirationDate.ToShortDateString()</td>
            <td class="text-center">
                @if (item.Valid)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="actions text-center">
                <a href="/Coupons/CouponUpdate/@item.CouponId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.CouponId" onclick="fDeleteDialog(@item.CouponId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
